<template>
  <q-avatar :key="uuid">
    <img :src="foto" />
  </q-avatar>
</template>

<script lang="ts">
import { defineComponent } from 'vue';

export default defineComponent({
  name: 'PersonasFoto',
  props: {
    size: { type: String, required: false, default: '4em' },
    uuid: { type: String, required: false, default: '' },
    rounded: { type: Boolean, required: false, default: false },
  },
  setup(props) {
    return { foto: process.env.ENV_API_HOST + '/api/foto/' + props.uuid };
  },
});
</script>
